
# Ringfinger  
A restfull keyring API with web UI to share your jabber fingerprints with the people you want.  
  
Create an account, store your jabber fingerprints and share it with your friends. There is no need to type in your 64 chars long fingerprint for each of your friends. Just enter it once and decide which people you want to share your keyring with.  
  
# Setup
Before you start setting up make sure you have an empty MySQL database created. You also need a database user that has full access to the newly created database!

Then clone or copy the ringfinger folder to the location folder of your webserver. Move into the ringfinger folder and start the setup process
> make setup
  
## Webserver configuration  
Despite your basic setup with PHP and MySQL/MariaDB your webserver has to to rewrite all requests that access the path `/ringfinger/api/v1/...` to `/ringfinger/api/v1/index.php` to make the API working.  
  
### NGINX   
Add the following line to your nginx.conf or to a separate file that will be included by the nginx.conf:  
  
> rewrite /ringfinger/api/v1/.* /ringfinger/api/v1/index.php;  
  
**Also make sure you deny the access to /ringfinger/backend for all!**
